Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/ALGLIB-3.7.0/ALGLIB-3.7.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/ALGLIB-3.7.0/ALGLIB-3.7.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/ALGLIB-3.7.0/ALGLIB-3.7.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>ALGLIB</RootNamespace>
     <AssemblyName>ALGLIB-3.7.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/HeuristicLab.ALGLIB-3.7.0/HeuristicLab.ALGLIB-3.7.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/HeuristicLab.ALGLIB-3.7.0/HeuristicLab.ALGLIB-3.7.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.7.0/HeuristicLab.ALGLIB-3.7.0/HeuristicLab.ALGLIB-3.7.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.ALGLIB</RootNamespace>
     <AssemblyName>HeuristicLab.ALGLIB-3.7.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/AutoDiff-1.0/AutoDiff-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/AutoDiff-1.0/AutoDiff-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/AutoDiff-1.0/AutoDiff-1.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>AutoDiff</RootNamespace>
     <AssemblyName>AutoDiff-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <CodeContractsAssemblyMode>0</CodeContractsAssemblyMode>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/HeuristicLab.AutoDiff-1.0/HeuristicLab.AutoDiff-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/HeuristicLab.AutoDiff-1.0/HeuristicLab.AutoDiff-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.AutoDiff/1.0/HeuristicLab.AutoDiff-1.0/HeuristicLab.AutoDiff-1.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.AutoDiff</RootNamespace>
     <AssemblyName>HeuristicLab.AutoDiff-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DayView/1.0/HeuristicLab.DayView-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DayView/1.0/HeuristicLab.DayView-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DayView/1.0/HeuristicLab.DayView-1.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.DayView</RootNamespace>
     <AssemblyName>HeuristicLab.DayView-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0 Example/cs_example.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0 Example/cs_example.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0 Example/cs_example.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>cs_example</RootNamespace>
     <AssemblyName>cs_example</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <FileUpgradeFlags>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0/DotNetScilab-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0/DotNetScilab-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/DotNetScilab-1.0/DotNetScilab-1.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>DotNetScilab</RootNamespace>
     <AssemblyName>DotNetScilab-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <FileUpgradeFlags>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/HeuristicLab.DotNetScilab-1.0/HeuristicLab.DotNetScilab-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/HeuristicLab.DotNetScilab-1.0/HeuristicLab.DotNetScilab-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.DotNetScilab/1.0/HeuristicLab.DotNetScilab-1.0/HeuristicLab.DotNetScilab-1.0.csproj	(revision 11577)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.DotNetScilab</RootNamespace>
     <AssemblyName>HeuristicLab.DotNetScilab-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
   </PropertyGroup>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/EPPlus-3.1.3/EPPlus-3.1.3.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/EPPlus-3.1.3/EPPlus-3.1.3.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/EPPlus-3.1.3/EPPlus-3.1.3.csproj	(revision 11577)
@@ -26,5 +26,5 @@
     </UpgradeBackupLocation>
     <OldToolsVersion>3.5</OldToolsVersion>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/HeuristicLab.EPPlus-3.1.3/HeuristicLab.EPPlus-3.1.3.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/HeuristicLab.EPPlus-3.1.3/HeuristicLab.EPPlus-3.1.3.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.EPPlus/3.1.3/HeuristicLab.EPPlus-3.1.3/HeuristicLab.EPPlus-3.1.3.csproj	(revision 11577)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.EPPlus</RootNamespace>
     <AssemblyName>HeuristicLab.EPPlus-3.1.3</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/HeuristicLab.LibSVM-3.12/HeuristicLab.LibSVM-3.12.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/HeuristicLab.LibSVM-3.12/HeuristicLab.LibSVM-3.12.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/HeuristicLab.LibSVM-3.12/HeuristicLab.LibSVM-3.12.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.LibSVM</RootNamespace>
     <AssemblyName>HeuristicLab.LibSVM-3.12</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/LibSVM-3.12/LibSVM-3.12.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/LibSVM-3.12/LibSVM-3.12.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.LibSVM/3.12/LibSVM-3.12/LibSVM-3.12.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>LibSVM</RootNamespace>
     <AssemblyName>LibSVM-3.12</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MathJax/1.1/HeuristicLab.MathJax-1.1/HeuristicLab.MathJax-1.1.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MathJax/1.1/HeuristicLab.MathJax-1.1/HeuristicLab.MathJax-1.1.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MathJax/1.1/HeuristicLab.MathJax-1.1/HeuristicLab.MathJax-1.1.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.MathJax</RootNamespace>
     <AssemblyName>HeuristicLab.MathJax-1.1</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MatlabConnector/1.0/HeuristicLab.MatlabConnector-1.0/HeuristicLab.MatlabConnector-1.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MatlabConnector/1.0/HeuristicLab.MatlabConnector-1.0/HeuristicLab.MatlabConnector-1.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.MatlabConnector/1.0/HeuristicLab.MatlabConnector-1.0/HeuristicLab.MatlabConnector-1.0.csproj	(revision 11577)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.MatlabConnector</RootNamespace>
     <AssemblyName>HeuristicLab.MatlabConnector-1.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
   </PropertyGroup>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Netron</RootNamespace>
     <AssemblyName>HeuristicLab.Netron-3.0.2672.12446</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446.csproj	(revision 11577)
@@ -28,5 +28,5 @@
     <SignAssembly>true</SignAssembly>
     <OldToolsVersion>3.5</OldToolsVersion>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/HeuristicLab.ProtobufCS/HeuristicLab.ProtobufCS-2.4.1.473.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/HeuristicLab.ProtobufCS/HeuristicLab.ProtobufCS-2.4.1.473.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/HeuristicLab.ProtobufCS/HeuristicLab.ProtobufCS-2.4.1.473.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.ProtobufCS</RootNamespace>
     <AssemblyName>HeuristicLab.ProtobufCS-2.4.1.473</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtoGen/ProtoGen-2.4.1.473.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtoGen/ProtoGen-2.4.1.473.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtoGen/ProtoGen-2.4.1.473.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>Google.ProtocolBuffers.ProtoGen</RootNamespace>
     <AssemblyName>ProtoGen</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers-2.4.1.473.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers-2.4.1.473.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/2.4.1/ProtobufCS/src/ProtocolBuffers/ProtocolBuffers-2.4.1.473.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>Google.ProtocolBuffers</RootNamespace>
     <AssemblyName>Google.ProtocolBuffers-2.4.1.473</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.2.1/HeuristicLab.SharpDevelop-3.2.1.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.2.1/HeuristicLab.SharpDevelop-3.2.1.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.2.1/HeuristicLab.SharpDevelop-3.2.1.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.SharpDevelop</RootNamespace>
     <AssemblyName>HeuristicLab.SharpDevelop-3.2.1</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/HeuristicLab.WinFormsUI-2.7.0/HeuristicLab.WinFormsUI-2.7.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/HeuristicLab.WinFormsUI-2.7.0/HeuristicLab.WinFormsUI-2.7.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/HeuristicLab.WinFormsUI-2.7.0/HeuristicLab.WinFormsUI-2.7.0.csproj	(revision 11577)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.WinFormsUI</RootNamespace>
     <AssemblyName>HeuristicLab.WinFormsUI-2.7.0</AssemblyName>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/WinFormsUI-2.7.0/WinFormsUI-2.7.0.csproj
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/WinFormsUI-2.7.0/WinFormsUI-2.7.0.csproj	(revision 11576)
+++ branches/OptimizationNetworks/HeuristicLab.ExtLibs/HeuristicLab.WinFormsUI/2.7.0/WinFormsUI-2.7.0/WinFormsUI-2.7.0.csproj	(revision 11577)
@@ -18,5 +18,5 @@
     </UpgradeBackupLocation>
     <OldToolsVersion>3.5</OldToolsVersion>
-    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>