Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/BreadcrumbControl.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/BreadcrumbControl.Designer.cs	(revision 10107)
+++ 	(revision )
@@ -1,62 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.MainForm.WindowsForms {
-  partial class BreadcrumbControl {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // BreadcrumbControl
-      // 
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.DoubleBuffered = true;
-      this.Name = "BreadcrumbControl";
-      this.Resize += new System.EventHandler(this.BreadcrumbControl_Resize);
-      this.ResumeLayout(false);
-
-    }
-
-    #endregion
-
-  }
-}
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/BreadcrumbControl.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/BreadcrumbControl.cs	(revision 10107)
+++ 	(revision )
@@ -1,146 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Drawing;
-using System.Linq;
-using System.Windows.Forms;
-using HeuristicLab.Common;
-
-namespace HeuristicLab.MainForm.WindowsForms {
-  public partial class BreadcrumbControl : UserControl {
-    private LinkedList<IContent> breadcrumbs;
-    public IEnumerable<IContent> Breadcrumbs {
-      get { return breadcrumbs; }
-      set {
-        breadcrumbs = new LinkedList<IContent>(value);
-        BuildBreadcrumbTrail();
-      }
-    }
-
-    public ViewHost ViewHost { get; set; }
-
-    public BreadcrumbControl() {
-      InitializeComponent();
-      breadcrumbs = new LinkedList<IContent>();
-    }
-
-    private void BuildBreadcrumbTrail() {
-      var curLoc = new Point(3, 0);
-      int idx = 0;
-      var labels = new List<Label>();
-      foreach (var bc in breadcrumbs) {
-        Label label;
-        if (bc == breadcrumbs.Last.Value) {
-          label = new Label {
-            Location = curLoc,
-            AutoSize = true,
-            Font = new Font("Microsoft Sans Serif", 7f),
-            Text = bc.ToString()
-          };
-        } else {
-          label = new LinkLabel {
-            Location = curLoc,
-            AutoSize = true,
-            Font = new Font("Microsoft Sans Serif", 7f),
-            Text = bc.ToString(),
-            Tag = bc
-          };
-          ((LinkLabel)label).LinkClicked += label_LinkClicked;
-        }
-        labels.Add(label);
-        label.Size = label.GetPreferredSize(Size.Empty);
-        curLoc.X += label.Size.Width;
-        if (++idx < breadcrumbs.Count) {
-          var separator = new Label {
-            Location = curLoc,
-            AutoSize = true,
-            Font = new Font("Microsoft Sans Serif", 7f),
-            Text = ">>"
-          };
-          labels.Add(separator);
-          separator.Size = separator.GetPreferredSize(Size.Empty);
-          curLoc.X += separator.Size.Width;
-        }
-      }
-      Controls.Clear();
-      if (curLoc.X <= Width)
-        Controls.AddRange(labels.ToArray());
-      else
-        AddLabelsRightToLeft(labels);
-    }
-
-    private void AddLabelsRightToLeft(List<Label> labels) {
-      if (!labels.Any()) return;
-      var curLoc = new Point(3, 0);
-      var ellipsis = new LinkLabel {
-        Location = curLoc,
-        AutoSize = true,
-        Font = new Font("Microsoft Sans Serif", 7f),
-        Text = "..."
-      };
-      ellipsis.Location = curLoc;
-      Controls.Add(ellipsis);
-      curLoc.X += ellipsis.Size.Width;
-      int x = Width;
-      int i = labels.Count - 1;
-      while (i >= 0) {
-        x -= labels[i].Size.Width;
-        if (x < curLoc.X) break;
-        x -= labels[--i].Size.Width;
-        if (x < curLoc.X) break;
-        i--;
-      }
-      if (i == labels.Count - 1) return;
-      i += 1 + i % 2;
-      ellipsis.Tag = breadcrumbs.ElementAt(i / 2);
-      ellipsis.LinkClicked += label_LinkClicked;
-      while (i < labels.Count) {
-        var l = labels[i++];
-        l.Location = curLoc;
-        Controls.Add(l);
-        curLoc.X += l.Size.Width;
-      }
-    }
-
-    private void label_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
-      var label = (LinkLabel)sender;
-      var content = (IContent)label.Tag;
-      while (breadcrumbs.Any() && breadcrumbs.Last.Value != content)
-        breadcrumbs.RemoveLast();
-      var mainForm = MainFormManager.GetMainForm<MainForm>();
-      var outermostViewHost = mainForm.GetOutermostControlOfType<ViewHost>(ViewHost);
-      bool showBreadcrumbs = outermostViewHost.ShowBreadcrumbs;
-      var oldCrumbs = outermostViewHost.Breadcrumbs;
-      outermostViewHost.Content = null;
-      var viewType = MainFormManager.GetDefaultViewType(content.GetType());
-      outermostViewHost.ViewType = viewType;
-      outermostViewHost.Content = content;
-      outermostViewHost.UpdateBreadcrumbTrail(oldCrumbs, breadcrumbs);
-      outermostViewHost.ShowBreadcrumbs = showBreadcrumbs;
-    }
-
-    private void BreadcrumbControl_Resize(object sender, EventArgs e) {
-      BuildBreadcrumbTrail();
-    }
-  }
-}
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewContextMenuStrip.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewContextMenuStrip.cs	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewContextMenuStrip.cs	(revision 11591)
@@ -30,25 +30,22 @@
     public ViewContextMenuStrip() {
       InitializeComponent();
-      menuItems = new Dictionary<Type, ToolStripMenuItem>();
-      ignoredViewTypes = new List<Type>();
+      this.menuItems = new Dictionary<Type, ToolStripMenuItem>();
+      this.ignoredViewTypes = new List<Type>();
     }
 
     public ViewContextMenuStrip(IContainer container)
       : base(container) {
-      InitializeComponent();
-      menuItems = new Dictionary<Type, ToolStripMenuItem>();
-      ignoredViewTypes = new List<Type>();
-      ShowBreadcrumbsToolStripMenuItem = new ToolStripMenuItem("Show Breadcrumbs");
-      ShowBreadcrumbsToolStripMenuItem.Click += ShowBreadcrumbsToolStripMenuItem_Click;
-      ShowBreadcrumbsToolStripMenuItem.CheckedChanged += ShowBreadcrumbsToolStripMenuItem_CheckedChanged;
+        InitializeComponent();
+      this.menuItems = new Dictionary<Type, ToolStripMenuItem>();
+      this.ignoredViewTypes = new List<Type>();
     }
 
     private object item;
     public object Item {
-      get { return item; }
+      get { return this.item; }
       set {
-        if (item != value) {
-          item = value;
-          RefreshMenuItems();
+        if (this.item != value) {
+          this.item = value;
+          this.RefreshMenuItems();
         }
       }
@@ -57,14 +54,12 @@
     private List<Type> ignoredViewTypes;
     public IEnumerable<Type> IgnoredViewTypes {
-      get { return ignoredViewTypes; }
-      set { ignoredViewTypes = new List<Type>(value); RefreshMenuItems(); }
+      get { return this.ignoredViewTypes; }
+      set { this.ignoredViewTypes = new List<Type>(value); RefreshMenuItems(); }
     }
 
     private Dictionary<Type, ToolStripMenuItem> menuItems;
     public IEnumerable<KeyValuePair<Type, ToolStripMenuItem>> MenuItems {
-      get { return menuItems; }
+      get { return this.menuItems; }
     }
-
-    public ToolStripMenuItem ShowBreadcrumbsToolStripMenuItem { get; private set; }
 
     private void RefreshMenuItems() {
@@ -73,8 +68,8 @@
         foreach (ToolStripMenuItem m in menuItems.Values)
           m.Dispose();
-        Items.Clear();
-        menuItems.Clear();
+        this.Items.Clear();
+        this.menuItems.Clear();
 
-        if (item != null) {
+        if (this.item != null) {
           ToolStripMenuItem menuItem;
           IEnumerable<Type> types = MainFormManager.GetViewTypes(item.GetType(), true);
@@ -84,27 +79,10 @@
             menuItem.Text = ViewAttribute.GetViewName(t);
 
-            menuItems.Add(t, menuItem);
-            Items.Add(menuItem);
+            this.menuItems.Add(t, menuItem);
+            this.Items.Add(menuItem);
           }
-          if (Items.Count > 0)
-            Items.Add(new ToolStripSeparator());
-          Items.Add(ShowBreadcrumbsToolStripMenuItem);
         }
       }
     }
-
-    public event EventHandler ShowBreadcrumbsChanged;
-    private void OnShowBreadcrumbsChanged() {
-      var handler = ShowBreadcrumbsChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-
-    private void ShowBreadcrumbsToolStripMenuItem_CheckedChanged(object sender, EventArgs e) {
-      OnShowBreadcrumbsChanged();
-    }
-
-    private void ShowBreadcrumbsToolStripMenuItem_Click(object sender, EventArgs e) {
-      ShowBreadcrumbsToolStripMenuItem.Checked = !ShowBreadcrumbsToolStripMenuItem.Checked;
-    }
   }
 }
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.Designer.cs	(revision 11591)
@@ -52,5 +52,4 @@
       this.configurationLabel = new System.Windows.Forms.Label();
       this.helpLabel = new System.Windows.Forms.Label();
-      this.breadcrumbControl = new HeuristicLab.MainForm.WindowsForms.BreadcrumbControl();
       this.SuspendLayout();
       // 
@@ -87,5 +86,4 @@
       this.viewContextMenuStrip.Name = "viewContextMenuStrip";
       this.viewContextMenuStrip.Size = new System.Drawing.Size(61, 4);
-      this.viewContextMenuStrip.ShowBreadcrumbsChanged += new System.EventHandler(this.viewContextMenuStrip_ShowBreadcrumbsChanged);
       this.viewContextMenuStrip.ItemClicked += new System.Windows.Forms.ToolStripItemClickedEventHandler(this.viewContextMenuStrip_ItemClicked);
       // 
@@ -116,18 +114,8 @@
       this.helpLabel.DoubleClick += new System.EventHandler(this.helpLabel_DoubleClick);
       // 
-      // breadcrumbControl
-      // 
-      this.breadcrumbControl.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.breadcrumbControl.Location = new System.Drawing.Point(0, 0);
-      this.breadcrumbControl.Name = "breadcrumbControl";
-      this.breadcrumbControl.Size = new System.Drawing.Size(202, 15);
-      this.breadcrumbControl.TabIndex = 4;
-      this.breadcrumbControl.ViewHost = null;
-      // 
       // ViewHost
       // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
-      this.Controls.Add(this.breadcrumbControl);
       this.Controls.Add(this.helpLabel);
       this.Controls.Add(this.viewsLabel);
@@ -136,5 +124,4 @@
       this.Name = "ViewHost";
       this.Size = new System.Drawing.Size(227, 184);
-      this.VisibleChanged += new System.EventHandler(this.ViewHost_VisibleChanged);
       this.ResumeLayout(false);
 
@@ -148,5 +135,4 @@
     private System.Windows.Forms.Label configurationLabel;
     private System.Windows.Forms.Label helpLabel;
-    private BreadcrumbControl breadcrumbControl;
 
   }
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Controls/ViewHost.cs	(revision 11591)
@@ -33,5 +33,5 @@
       InitializeComponent();
       startDragAndDrop = false;
-      viewContextMenuStrip.IgnoredViewTypes = new List<Type> { typeof(ViewHost) };
+      viewContextMenuStrip.IgnoredViewTypes = new List<Type>() { typeof(ViewHost) };
 
       viewType = null;
@@ -41,6 +41,4 @@
       viewsLabel.Visible = false;
       viewsLabelVisible = true;
-
-      breadcrumbControl.ViewHost = this;
     }
 
@@ -53,10 +51,8 @@
           viewsLabel.Visible = value;
           View view = activeView as View;
-          if (view != null) AdjustActiveViewSize();
-        }
-      }
-    }
-
-    public bool HotlinkingEnabled { get; set; }
+          if (view != null) view.Dock = viewsLabelVisible ? DockStyle.None : DockStyle.Fill;
+        }
+      }
+    }
 
     private IContentView cachedView;
@@ -91,5 +87,5 @@
             #endregion
 
-            Caption = activeView.Caption;
+            this.Caption = activeView.Caption;
             viewType = activeView.GetType();
             RegisterActiveViewEvents();
@@ -97,5 +93,8 @@
             if (view != null) {
               view.Visible = true;
-              AdjustActiveViewSize();
+              if (ViewsLabelVisible) {
+                view.Anchor = AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Top | AnchorStyles.Right;
+                view.Size = new Size(Width - this.viewsLabel.Width - this.viewsLabel.Margin.Left - this.viewsLabel.Margin.Right, this.Height);
+              } else view.Dock = DockStyle.Fill;
               if (!Controls.Contains((view))) Controls.Add(view);
               view.OnShown(new ViewShownEventArgs(view, false));
@@ -126,11 +125,4 @@
       }
     }
-
-    public bool ShowBreadcrumbs {
-      get { return viewContextMenuStrip.ShowBreadcrumbsToolStripMenuItem.Checked; }
-      set { viewContextMenuStrip.ShowBreadcrumbsToolStripMenuItem.Checked = value; }
-    }
-
-    public IEnumerable<IContent> Breadcrumbs { get { return breadcrumbControl.Breadcrumbs; } }
 
     protected override void SetEnabledStateOfControls() {
@@ -159,5 +151,4 @@
       UpdateLabels();
       UpdateActiveMenuItem();
-      UpdateBreadcrumbControl();
     }
 
@@ -210,11 +201,4 @@
       OnChanged();
     }
-    private void ViewHost_VisibleChanged(object sender, EventArgs e) {
-      PerformOutermostViewHostDetection();
-    }
-    private void viewContextMenuStrip_ShowBreadcrumbsChanged(object sender, EventArgs e) {
-      UpdateBreadcrumbControl();
-      AdjustActiveViewSize();
-    }
 
     protected override void OnSizeChanged(EventArgs e) {
@@ -279,10 +263,4 @@
     }
 
-    private void UpdateBreadcrumbControl() {
-      breadcrumbControl.Visible = ShowBreadcrumbs && Content != null;
-      if (ShowBreadcrumbs)
-        UpdateBreadcrumbTrail(breadcrumbControl.Breadcrumbs, BuildBreadcrumbTrail());
-    }
-
     private bool ViewCanShowContent(Type viewType, object content) {
       if (content == null) // every view can display null
@@ -296,6 +274,6 @@
       IContentView view = MainFormManager.MainForm.ShowContent(this.Content, this.ViewType);
       if (view != null) {
-        view.ReadOnly = ReadOnly;
-        view.Locked = Locked;
+        view.ReadOnly = this.ReadOnly;
+        view.Locked = this.Locked;
       }
     }
@@ -307,7 +285,7 @@
     private bool startDragAndDrop;
     private void viewsLabel_MouseDown(object sender, MouseEventArgs e) {
-      if (e.Button == MouseButtons.Right) {
+      if (e.Button == System.Windows.Forms.MouseButtons.Right) {
         Screen screen = Screen.FromControl(viewsLabel);
-        int rightBorder = viewsLabel.PointToScreen(viewsLabel.Location).X + viewContextMenuStrip.Width;
+        int rightBorder = viewsLabel.PointToScreen(viewsLabel.Location).X + viewContextMenuStrip.Width; //
         rightBorder = rightBorder - screen.Bounds.X; //pixel position on active screen
 
@@ -341,46 +319,4 @@
     }
     #endregion
-
-    #region Helpers
-    private void AdjustActiveViewSize() {
-      var view = activeView as View;
-      if (view == null) return;
-      int width = viewsLabelVisible ? Width - viewsLabel.Width - viewsLabel.Margin.Left - viewsLabel.Margin.Right : Width;
-      int height = ShowBreadcrumbs ? Height - viewsLabel.Height - viewsLabel.Margin.Top - viewsLabel.Margin.Bottom : Height;
-      view.Location = new Point(0, Height - height);
-      view.Anchor = AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Top | AnchorStyles.Right;
-      view.Size = new Size(width, height);
-    }
-
-    private IEnumerable<IContent> BuildBreadcrumbTrail() {
-      var ll = new LinkedList<IContent>();
-      for (var control = (Control)this; control != null; control = control.Parent) {
-        var viewHost = control as ViewHost;
-        if (viewHost != null && viewHost.Content != null)
-          ll.AddFirst(viewHost.Content);
-      }
-      return ll;
-    }
-
-    public void UpdateBreadcrumbTrail(IEnumerable<IContent> oldCrumbs, IEnumerable<IContent> newCrumbs) {
-      if (!newCrumbs.Any()) return;
-      var ll = new LinkedList<IContent>();
-      if (newCrumbs.Contains(oldCrumbs.LastOrDefault())) {
-        foreach (var c in oldCrumbs) {
-          if (c != newCrumbs.First())
-            ll.AddLast(c);
-          else break;
-        }
-      }
-      foreach (var c in newCrumbs)
-        ll.AddLast(c);
-      breadcrumbControl.Breadcrumbs = ll;
-    }
-
-    private void PerformOutermostViewHostDetection() {
-      var parentContentViews = GetParentViewsOfType<ContentView>();
-      viewContextMenuStrip.ShowBreadcrumbsToolStripMenuItem.Checked = !parentContentViews.Any();
-    }
-    #endregion
   }
 }
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/HeuristicLab.MainForm.WindowsForms-3.3.csproj	(revision 11591)
@@ -120,10 +120,4 @@
   <ItemGroup>
     <Compile Include="ActionUserInterfaceItem.cs" />
-    <Compile Include="Controls\BreadcrumbControl.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Controls\BreadcrumbControl.Designer.cs">
-      <DependentUpon>BreadcrumbControl.cs</DependentUpon>
-    </Compile>
     <Compile Include="Controls\DragOverTabControl.cs">
       <SubType>Component</SubType>
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/MainForms/MainForm.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/MainForms/MainForm.cs	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/MainForms/MainForm.cs	(revision 11591)
@@ -223,15 +223,4 @@
     }
 
-    public T GetOutermostControlOfType<T>(Control childControl) where T : Control {
-      if (childControl == null) throw new ArgumentNullException("childControl", "ChildControl cannot be null.");
-
-      T outermostControl = null;
-      for (var control = childControl; control != null; control = control.Parent) {
-        var c = control as T;
-        if (c != null) outermostControl = c;
-      }
-      return outermostControl;
-    }
-
     public IContentView ShowContent(IContent content) {
       if (content == null) throw new ArgumentNullException("Content cannot be null.");
@@ -241,5 +230,5 @@
     }
 
-    public IContentView ShowContent<T>(T content, bool reuseExistingView, IEqualityComparer<T> comparer = null) where T : class, IContent {
+    public IContentView ShowContent<T>(T content, bool reuseExistingView, IEqualityComparer<T> comparer = null) where T : class,IContent {
       if (content == null) throw new ArgumentNullException("Content cannot be null.");
       if (!reuseExistingView) return ShowContent(content);
@@ -273,30 +262,4 @@
         return view;
       }
-    }
-
-    public ViewHost ShowContentInOutermostViewHost(IContent content, Control childControl, bool requireHotlinking = false) {
-      if (content == null) throw new ArgumentNullException("content", "Content cannot be null.");
-      if (childControl == null) throw new ArgumentNullException("childControl", "ChildControl cannot be null.");
-
-      var outermostViewHost = GetOutermostControlOfType<ViewHost>(childControl);
-      if (outermostViewHost == null) return null;
-
-      if (!requireHotlinking || outermostViewHost.HotlinkingEnabled) {
-        var oldCrumbs = outermostViewHost.Breadcrumbs;
-        var newCrumbs = new LinkedList<IContent>();
-        for (var control = childControl; control != null; control = control.Parent) {
-          var vh = control as ViewHost;
-          if (vh != null && vh.Content != null)
-            newCrumbs.AddFirst(vh.Content);
-        }
-        bool showBreadcrumbs = outermostViewHost.ShowBreadcrumbs;
-        outermostViewHost.Content = null;
-        var viewType = MainFormManager.GetDefaultViewType(content.GetType());
-        outermostViewHost.ViewType = viewType;
-        outermostViewHost.Content = content;
-        outermostViewHost.UpdateBreadcrumbTrail(oldCrumbs, newCrumbs.Concat(new[] { content }));
-        outermostViewHost.ShowBreadcrumbs = showBreadcrumbs;
-      }
-      return outermostViewHost;
     }
 
@@ -587,5 +550,6 @@
       try {
         ((IActionUserInterfaceItem)item.Tag).Execute();
-      } catch (Exception ex) {
+      }
+      catch (Exception ex) {
         ErrorHandling.ShowErrorDialog((Control)MainFormManager.MainForm, ex);
       }
Index: branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 10107)
+++ branches/Breadcrumbs/HeuristicLab.MainForm.WindowsForms/3.3/Views/View.cs	(revision 11591)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Collections.Generic;
 using System.Linq;
 using System.Reflection;
@@ -262,9 +261,4 @@
         ((Control)this).ResumeRepaint(refresh);
     }
-
-    public IEnumerable<T> GetParentViewsOfType<T>() where T : View {
-      for (var view = Parent; view != null; view = view.Parent)
-        if (view is View) yield return view as T;
-    }
   }
 }